Customers¶
Customer records and stored payment details.
Get By Merchant¶
POST
/api/Customers
Request body¶
Schema: Request
| Field | Type | Requirement | Description |
|---|---|---|---|
AppInfo |
string | Optional | Application information including language, version, platform, device model and OS. Format: "Lang: XX. Version: X.X.X. Platform: XXXX. DeviceModel: XXXX. OS: XXXX" Example: "Lang: Es. Version: 3.11.8. Platform: android. DeviceModel: dedede. OS: Android OS 13 / API-33" |
AppKey |
string | Required | Application Key which uniquely identifies your application as provided by the Blackstone system. |
AppType |
integer (int32) | Required | Application Type as provided by the Blackstone system. |
IpAddress |
string | Optional | The client's IP address. |
IsTest |
boolean | Optional | True if is a test sale |
Password |
string | Required | Password of the client on the host. |
Source |
string — ApiClient, BpaydPortal, BPaydApp, BatchCloser, RecurringBillingTask, BPaydPlugin, PaymentFrame, VirtualTerminal, PaymentLink, Recurring, Invoice, QuickPayment, TakePayment, QuickPaymentMobileApp, WordPress, Zoho, Xero, Odoo, GoHighLevel, TakePaymentMobileApp |
Optional | The source of the request |
UserName |
string | Required | User credential of the client on the host. |
cid |
integer (int32) | Required | Cashier ID – A number used to identify the merchant’s subclient. |
mid |
integer (int32) | Required | Merchant ID – A number used to identify the merchant. |
Responses¶
| Status | Description | Schema |
|---|---|---|
| 200 | The Get By Merchant Response | CustomersReponse |
Example response
{
"Customers": [
{
"AddedOn": "2026-01-31T12:00:00Z",
"City": "<city>",
"Country": "<country>",
"CreateDate": "2026-01-31",
"CustomerId": "<customer-id>",
"CustomerSource": "Gateway",
"Email": "developer@example.com",
"FirstName": "<first-name>",
"Id": 1,
"Invoice": "<invoice>",
"LastName": "<last-name>",
"MID": 1,
"PO": "<po>",
"Phone": "+1-555-0100",
"State": "<state>",
"Status": 1
}
],
"Msg": [
"<msg>"
],
"ResponseCode": 200,
"displayMessage": "<display-message>",
"verbiage": "<verbiage>"
}
Get By Merchant¶
POST
/api/Customers/GetByMerchant
Request body¶
Schema: Request
| Field | Type | Requirement | Description |
|---|---|---|---|
AppInfo |
string | Optional | Application information including language, version, platform, device model and OS. Format: "Lang: XX. Version: X.X.X. Platform: XXXX. DeviceModel: XXXX. OS: XXXX" Example: "Lang: Es. Version: 3.11.8. Platform: android. DeviceModel: dedede. OS: Android OS 13 / API-33" |
AppKey |
string | Required | Application Key which uniquely identifies your application as provided by the Blackstone system. |
AppType |
integer (int32) | Required | Application Type as provided by the Blackstone system. |
IpAddress |
string | Optional | The client's IP address. |
IsTest |
boolean | Optional | True if is a test sale |
Password |
string | Required | Password of the client on the host. |
Source |
string — ApiClient, BpaydPortal, BPaydApp, BatchCloser, RecurringBillingTask, BPaydPlugin, PaymentFrame, VirtualTerminal, PaymentLink, Recurring, Invoice, QuickPayment, TakePayment, QuickPaymentMobileApp, WordPress, Zoho, Xero, Odoo, GoHighLevel, TakePaymentMobileApp |
Optional | The source of the request |
UserName |
string | Required | User credential of the client on the host. |
cid |
integer (int32) | Required | Cashier ID – A number used to identify the merchant’s subclient. |
mid |
integer (int32) | Required | Merchant ID – A number used to identify the merchant. |
Responses¶
| Status | Description | Schema |
|---|---|---|
| 200 | The Get By Merchant Response | CustomersReponse |
Example response
{
"Customers": [
{
"AddedOn": "2026-01-31T12:00:00Z",
"City": "<city>",
"Country": "<country>",
"CreateDate": "2026-01-31",
"CustomerId": "<customer-id>",
"CustomerSource": "Gateway",
"Email": "developer@example.com",
"FirstName": "<first-name>",
"Id": 1,
"Invoice": "<invoice>",
"LastName": "<last-name>",
"MID": 1,
"PO": "<po>",
"Phone": "+1-555-0100",
"State": "<state>",
"Status": 1
}
],
"Msg": [
"<msg>"
],
"ResponseCode": 200,
"displayMessage": "<display-message>",
"verbiage": "<verbiage>"
}